﻿
@{
    ViewBag.Title = "ثبت فایل اکسل";
}

@section Styles{
    <link href="~/Content/lib/css/fileinput.min.css" rel="stylesheet" />
}


<div class="alert alert-info">
    <ul>
        <li>
            پسوندهای مجاز : .xslx
        </li>
    </ul>
</div>


@using (Html.BeginForm("Create", "TransactionExcelFile", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <div class="row">
        <div class="form-group">
            <div class="col-lg-12 label-control">
                فایل اکسل
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-6 col-md-offset-6">
                <input id="fileupload1" class="fileupload" name="fileupload1[]" type="file">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                <input type="submit" value="ثبت" class="btn btn-info" />
            </div>
        </div>
    </div>
}



@section Scripts{

    <!-- file-input -->
    <script src="~/Content/lib/js/fileinput.min.js"></script>

    <script type="text/javascript">
        $(function () {

            // ===================================== page.onload() ===============================
            initializeFileInput();


            // ===================================== initialize =====================================

            // fileinput
            function initializeFileInput() {

                $(".fileupload").fileinput({
                    showUpload: false,
                    showCaption: true,
                    showPreview: false
                });

                $(".fileupload").on('filebrowse', function (event, data, previewId, index, jqXHR) {
                    $(this).fileinput('clear');
                });

            }

        });
    </script>

}